# AssignNetworkInterfaceIpv4

## 1. 接口描述

本接口(AssignNetworkInterfaceIpv4)用于网卡绑定内网IPv4。

{% hint style="info" %}
**注意事项**

* 网卡状态需为`AVAILABLE`或`USED`
  {% endhint %}

## 2. 请求参数

以下请求参数列表仅列出了接口中需要的请求参数

| 参数名称      | 必选 | 类型     | 描述                                             |
| --------- | -- | ------ | ---------------------------------------------- |
| nicId     | 是  | String | 需要绑定的网卡ID。                                     |
| ipAddress | 是  | String | <p>绑定的内网IP地址。</p><p>该地址必须属于子网的CIDR内，且未被使用。</p> |

## 3. 响应结果

| 参数名称      | 类型     | 描述                                                       |
| --------- | ------ | -------------------------------------------------------- |
| requestId | String | <p>唯一请求 ID。</p><p>每次请求都会返回。定位问题时需要提供该次请求的 requestId。</p> |

## 4. 代码示例

{% tabs %}
{% tab title="示例" %}
**1. 网卡绑定内网IPv4。**

```json
POST /api/v2/zec HTTP/1.1
Host: console.zenlayer.com
Content-Type: application/json
X-ZC-Action: AssignNetworkInterfaceIpv4
<Common Request Params>

Request：
{
  "nicId": "<nicId>",
  "ipAddress": "10.0.0.3"
}

Response：
{
  "requestId": "T05992D0C-7E8B-4047-B0C0-780F2CD549D3",
  "response": {
    "requestId": "T05992D0C-7E8B-4047-B0C0-780F2CD549D3"
  }
}
```

{% endtab %}
{% endtabs %}

## 5. 开发者工具

Zenlayer Cloud API 2.0 提供了配套的[开发工具集（SDK）](https://docs.console.zenlayer.com/api-reference/cn/api-introduction/toolkit)，未来会陆续支持更多开发语言，方便快速接入和使用Zenlayer的产品和服务。

## 6. 错误码

下面包含业务逻辑中遇到的错误码，其他错误码见[公共错误码](https://docs.console.zenlayer.com/api-reference/cn/api-introduction/instruction/commonerrorcode)

| HTTP状态码 | 错误码                                                 | 说明                 |
| ------- | --------------------------------------------------- | ------------------ |
| 400     | INVALID\_IP\_BROADCAST\_ADDRESS                     | IP为广播地址不可用。        |
| 400     | INVALID\_IP\_FIRST\_ADDRESS                         | IP为网关地址不可用。        |
| 400     | INVALID\_IP\_NETWORK\_ADDRESS                       | IP为网络地址不可用。        |
| 404     | INVALID\_NIC\_NOT\_FOUND                            | 网卡不存在。             |
| 400     | INVALID\_NIC\_STATUS                                | 当前网卡状态无法进行操作。      |
| 400     | OPERATION\_DENIED\_SUBNET\_TYPE\_NOT\_SUPPORT\_IPV4 | 子网堆栈类型不包括IPv4。     |
| 400     | INVALID\_IP\_OUT\_OF\_RANGE                         | IP地址不合法，不属于CIDR范围。 |
| 409     | INVALID\_SUBNET\_PRIVATE\_IPV4\_IN\_USED            | 内定的内网IP已经被使用。      |


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.console.zenlayer.com/api-reference/cn/compute/zec/vnic/assignnetworkinterfaceipv4.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
